> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Two Factor Setup



## OpenAPI

````yaml /api-reference/openapi.json post /api/auth/2fa/setup/start
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/auth/2fa/setup/start:
    post:
      tags:
        - auth
      summary: Start Two Factor Setup
      operationId: start_two_factor_setup_api_auth_2fa_setup_start_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TwoFactorSetupResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    TwoFactorSetupResponse:
      properties:
        secret:
          type: string
          title: Secret
        otpauth_url:
          type: string
          title: Otpauth Url
        issuer:
          type: string
          title: Issuer
        account:
          type: string
          title: Account
      type: object
      required:
        - secret
        - otpauth_url
        - issuer
        - account
      title: TwoFactorSetupResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````